Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(88)

Issue 1866103002: [Extensions] Expand bindings access checks (Closed)

Created:
3 years, 7 months ago by Devlin
Modified:
3 years, 7 months ago
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Extensions] Expand bindings access checks BUG=601149 BUG=601073 Committed: https://crrev.com/c0569cc04741cccf6548c2169fcc1609d958523f Cr-Commit-Position: refs/heads/master@{#387710}

Patch Set 1 : #

Total comments: 8

Patch Set 2 : Latest master #

Unified diffs Side-by-side diffs Delta from patch set Stats (+43 lines, -90 lines) Patch
M chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc View 1 2 chunks +15 lines, -0 lines 0 comments Download
M chrome/renderer/extensions/tabs_custom_bindings.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M chrome/renderer/extensions/webstore_bindings.cc View 1 chunk +1 line, -1 line 0 comments Download
M extensions/extensions.gypi View 1 1 chunk +0 lines, -2 lines 0 comments Download
M extensions/renderer/api_definitions_natives.cc View 1 chunk +1 line, -1 line 0 comments Download
M extensions/renderer/dispatcher.cc View 1 3 chunks +0 lines, -10 lines 0 comments Download
M extensions/renderer/display_source_custom_bindings.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M extensions/renderer/i18n_custom_bindings.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M extensions/renderer/lazy_background_page_native_handler.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M extensions/renderer/object_backed_native_handler.cc View 1 1 chunk +8 lines, -4 lines 0 comments Download
D extensions/renderer/print_native_handler.h View 1 chunk +0 lines, -21 lines 0 comments Download
D extensions/renderer/print_native_handler.cc View 1 chunk +0 lines, -32 lines 0 comments Download
M extensions/renderer/render_frame_observer_natives.cc View 1 chunk +1 line, -1 line 0 comments Download
M extensions/renderer/runtime_custom_bindings.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M extensions/renderer/test_features_native_handler.cc View 1 chunk +1 line, -1 line 0 comments Download
M extensions/renderer/test_native_handler.cc View 1 chunk +1 line, -1 line 0 comments Download
M extensions/renderer/v8_context_native_handler.cc View 1 1 chunk +3 lines, -4 lines 0 comments Download

Messages

Total messages: 20 (12 generated)
Devlin
Antony, mind taking a look? https://codereview.chromium.org/1866103002/diff/120001/extensions/renderer/print_native_handler.h File extensions/renderer/print_native_handler.h (left): https://codereview.chromium.org/1866103002/diff/120001/extensions/renderer/print_native_handler.h#oldcode1 extensions/renderer/print_native_handler.h:1: // Copyright 2014 The ...
3 years, 7 months ago (2016-04-07 20:57:56 UTC) #9
asargent_no_longer_on_chrome
https://codereview.chromium.org/1866103002/diff/120001/chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc File chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc (right): https://codereview.chromium.org/1866103002/diff/120001/chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc#newcode133 chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc:133: // in //extensions. Can you explain why you moved ...
3 years, 7 months ago (2016-04-11 17:30:14 UTC) #10
Devlin
https://codereview.chromium.org/1866103002/diff/120001/chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc File chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc (right): https://codereview.chromium.org/1866103002/diff/120001/chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc#newcode133 chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc:133: // in //extensions. On 2016/04/11 17:30:14, Antony Sargent wrote: ...
3 years, 7 months ago (2016-04-13 19:51:26 UTC) #11
asargent_no_longer_on_chrome
lgtm https://codereview.chromium.org/1866103002/diff/120001/chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc File chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc (right): https://codereview.chromium.org/1866103002/diff/120001/chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc#newcode133 chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc:133: // in //extensions. On 2016/04/13 19:51:26, Devlin wrote: ...
3 years, 7 months ago (2016-04-13 23:02:41 UTC) #12
Devlin
https://codereview.chromium.org/1866103002/diff/120001/chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc File chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc (right): https://codereview.chromium.org/1866103002/diff/120001/chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc#newcode133 chrome/renderer/extensions/chrome_extensions_dispatcher_delegate.cc:133: // in //extensions. On 2016/04/13 23:02:40, Antony Sargent wrote: ...
3 years, 7 months ago (2016-04-15 21:39:24 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1866103002/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1866103002/140001
3 years, 7 months ago (2016-04-15 21:40:05 UTC) #16
commit-bot: I haz the power
Committed patchset #2 (id:140001)
3 years, 7 months ago (2016-04-15 21:51:31 UTC) #18
commit-bot: I haz the power
3 years, 7 months ago (2016-04-15 21:53:49 UTC) #20
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/c0569cc04741cccf6548c2169fcc1609d958523f
Cr-Commit-Position: refs/heads/master@{#387710}

Powered by Google App Engine
This is Rietveld 408576698